Skip to content
Snippets Groups Projects
Commit afad8cdd authored by MJB's avatar MJB
Browse files

.gitignore

parent 39007e26
No related branches found
No related tags found
No related merge requests found
...@@ -97,7 +97,8 @@ Vagrant.configure("2") do |config| ...@@ -97,7 +97,8 @@ Vagrant.configure("2") do |config|
instance_config.vm.provision :shell, :path => "clmctest/services/#{host["service_name"]}/install.sh", env: {"REPO_ROOT" => "/vagrant"} instance_config.vm.provision :shell, :path => "clmctest/services/#{host["service_name"]}/install.sh", env: {"REPO_ROOT" => "/vagrant"}
# CLMC agent install # CLMC agent install
instance_config.vm.provision :shell, :path => "scripts/clmc-agent/install.sh" instance_config.vm.provision "file", source: "reporc", destination: "/vagrant/reporc"
instance_config.vm.provision :shell, :path => "scripts/clmc-agent/install.sh", env: {"REPO_ROOT" => "/vagrant"}
# CLMC agent service specific input configuration # CLMC agent service specific input configuration
instance_config.vm.provision :shell, inline: <<-SHELL instance_config.vm.provision :shell, inline: <<-SHELL
......
#!/bin/bash #!/bin/bash
# install build prequisites # install build prequisites
sudo apt-get install ruby ruby-dev rubygems build-essential rpm -y apt-get install ruby ruby-dev rubygems build-essential rpm -y
sudo gem install --no-ri --no-rdoc fpm gem install --no-ri --no-rdoc fpm
# install go # install go
wget https://dl.google.com/go/go1.10.2.linux-amd64.tar.gz wget https://dl.google.com/go/go1.10.2.linux-amd64.tar.gz -O go1.10.2.linux-amd64.tar.gz
tar -C /usr/local -xzf go1.10.2.linux-amd64.tar.gz tar -C /usr/local -xzf go1.10.2.linux-amd64.tar.gz
GORC=~/gorc
GOPATH=~/go
# set the environment variables # set the environment variables
echo 'PATH=$PATH:/usr/local/go/bin' > /tmp/gorc echo 'PATH=$PATH:/usr/local/go/bin' > ${GORC}
echo 'GOPATH=/tmp/go' >> /tmp/gorc echo 'GOPATH=${GOPATH}' >> ${GORC}
source /tmp/gorc source ${GORC}
mkdir $GOPATH mkdir $GOPATH
...@@ -25,11 +27,11 @@ git remote add it-innovation https://github.com/it-innovation/telegraf.git ...@@ -25,11 +27,11 @@ git remote add it-innovation https://github.com/it-innovation/telegraf.git
git pull --rebase it-innovation master git pull --rebase it-innovation master
# build telegraf # build telegraf
chmod 755 ./scripts/*.sh
make make
# build the packages # build the packages
make package # chmod 755 ./scripts/*.sh
# make package
# git push it-innovation # git push it-innovation
......
...@@ -29,15 +29,30 @@ set -euo pipefail ...@@ -29,15 +29,30 @@ set -euo pipefail
echo "Installing Telegraf agent" echo "Installing Telegraf agent"
TELEGRAF_VERSION=1.6.2-1 TELEGRAF_VERSION=1.7.0~5618bb0-0
TELEGRAF_CHECKSUM=dc24932fa1aef9392582880c077dd2493b9f2c66babd7733a0654540bbb5003b TELEGRAF_CHECKSUM=dc24932fa1aef9392582880c077dd2493b9f2c66babd7733a0654540bbb5003b
# Install telegraf # Install telegraf
wget https://dl.influxdata.com/telegraf/releases/telegraf_${TELEGRAF_VERSION}_amd64.deb 2> /dev/null ## wget https://dl.influxdata.com/telegraf/releases/telegraf_${TELEGRAF_VERSION}_amd64.deb 2> /dev/null
sha256sum telegraf_${TELEGRAF_VERSION}_amd64.deb | grep $TELEGRAF_CHECKSUM > /dev/null
if [ $? == 1 ]; then # load the runtime configuration for the artefact repository
echo "Telegraf download failed checksum" if [ ! -f ${REPO_ROOT}/reporc ]; then
exit 1 echo "Cannot download FLIPS binaries as reporc file containing artefact repository credentials does not exist within user's home folder"
exit 1
fi fi
dpkg -i telegraf_${TELEGRAF_VERSION}_amd64.deb source ${REPO_ROOT}/reporc
echo "Setting the envrionemtn variables"
echo "USER: ${REPO_USER}"
echo "PASS: ${REPO_PASS}"
wget --user ${REPO_USER} --password ${REPO_PASS} https://flame-nexus.it-innovation.soton.ac.uk/repository/flame-general/it-innovation/telegraf/${TELEGRAF_VERSION}/telegraf-${TELEGRAF_VERSION}.deb -O telegraf-${TELEGRAF_VERSION}.deb
#sha256sum telegraf_${TELEGRAF_VERSION}_amd64.deb | grep $TELEGRAF_CHECKSUM > /dev/null
#if [ $? == 1 ]; then
# echo "Telegraf download failed checksum"
# exit 1
#fi
dpkg -i telegraf-${TELEGRAF_VERSION}.deb
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment